Summary: The default startup script for the X Window System.
Name: xinitrc
Version: 2.9.10
Release: 1
Copyright: Public Domain
Group: User Interface/X
Source0: xinitrc-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Requires: XFree86, /bin/sh, switchdesk
BuildArchitectures: noarch

%description
The xinitrc package contains the xinitrc file, a script which is used
to configure your X Window System session or to start a window
manager.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/X11/Xmodmap
%config /etc/X11/xinit/xinitrc
%config(noreplace) /etc/X11/xinit/Xclients
%dir /etc/X11/xinit/xinitrc.d
%config(noreplace) /etc/X11/xinit/xinitrc.d/*
%config(noreplace) /etc/X11/xdm/*
/usr/X11R6/bin/*

%changelog
* Tue Aug 22 2000 Than Ngo <than@redhat.com>
- add KDE2 support

* Sun Aug 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- add /usr/X11R6/bin to the PATH if it's not in there already (#16648)
- don't call cp in a subshell when trying to create a log file

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- more files move in

* Fri Jul 14 2000 Preston Brown <pbrown@redhat.com>
- more wmaker path fixage

* Tue Jul 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- wmaker is now in /usr/bin

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- import some of the xdm stuff here, it's used by both xdm and gdm

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- import these files into our CVS server

* Tue May 30 2000 Preston Brown <pbrown@redhat.com>
- commented out mappings in global Xmodmap.  Caused problems with many
  remote logins from various X devices besides Linux boxes.

* Tue Mar 14 2000 Matt Wilson <msw@redhat.com>
- export XMODIFIERS for japanese

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- fix windowmaker default initialization (use wmaker.inst for the
  first start of WindowMaker)

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- process /etc/X11/XF86Config file with the sed script for xkb.

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- quote shell variables in xinitrc (#9547)

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- change /usr/X11R6/lib/X11 /etc/X11 for some config files.

* Thu Feb 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix a typo

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- fix two syntax errors

* Tue Jan 11 2000 Preston Brown <pbrown@redhat.com>
- added support for scripts a la /etc/profile.d in /etc/X11/xinit/xinitrc.d.
- moved japanese xinput stuff into an xinitrc.d script
- cleaned up duplicate runs of xmodmap (#7839).
- noreplace tag added for most config files.

* Wed Oct 20 1999 Matt Wilson <msw@redhat.com>
- added patch from Owen to start kinput2 by default for all desktops when
  running under Japanese

* Mon Oct 18 1999 Preston Brown <pbrown@redhat.com>
- patched xinitrc to run setxkbmap -symbols on sparc if XkbSymbols variable
  is defined (from Jakub)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- enable use of xkb configuration files if they are present (# 4059)

* Thu Jun 17 1999 Bill Nottingham <notting@redhat.com>
- make Xclients/xinitrc executable...

* Thu Jun 10 1999 Preston Brown <pbrown@redhat.com>
- look for not only .Xmodmap/.Xresources, but also Xmodmap/Xresources
- Xmodmap w/ "keycode 22 = BackSpace" added for non Xkb-extension users

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- argh, fixed my changes from yesterday

* Sun Apr 18 1999 Preston Brown <pbrown@redhat.com>
- added /etc/sysconfig/desktop support

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- make /etc/X11/xinit/* %config (bug #1051)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- added ability to have KDE recognized if it is all that is installed

* Wed Jan 27 1999 Preston Brown <pbrown@redhat.com>
- updated so that GNOME is the default, and a few other cleanups

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- added the RunWM script and modified Xclients to use this new script

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- included WindowMaker hints

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- handle AfterStep (and possibly other window managers)

* Tue Nov 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- export the BROWSER variable.

* Fri Nov 08 1997 Cristian Gafton <gafton@redhat.com>
- added handling for the BROWSER variable

* Wed Oct 15 1997 Cristian Gaftin <gafton@redhat.com>
- updated for AnotherLevel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built for glibc, added dependencies

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Added /etc/X11/xinitrc/Xclients to this file and removed it from rootfiles
  and etcskel.

